Package org.gradle.normalization

# Interface MetaInfNormalization

public interface MetaInfNormalization
Configuration of manifest normalization.

Since:
  6.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ignoreAttribute(String name)`
  Ignore attributes in `META-INF/MANIFEST.MF` within archives matching `name`.
  `void`
  `ignoreCompletely()`
  Ignore all files and subdirectories in the `META-INF` directory within archives.
  `void`
  `ignoreManifest()`
  Ignore the `META-INF/MANIFEST.MF` file within archives.
  `void`
  `ignoreProperty(String name)`
  Ignore keys in properties files stored in `META-INF` within archives matching `name`.

- ## Method Details

  - ### ignoreCompletely

    void ignoreCompletely()
    Ignore all files and subdirectories in the `META-INF` directory within archives.
    Since:
      6.6

  - ### ignoreManifest

    void ignoreManifest()
    Ignore the `META-INF/MANIFEST.MF` file within archives.
    Since:
      6.6

  - ### ignoreAttribute

    void ignoreAttribute(String name)
    Ignore attributes in `META-INF/MANIFEST.MF` within archives matching `name`. `name` is matched case-insensitively with the manifest attribute name.
    Since:
      6.6

  - ### ignoreProperty

    void ignoreProperty(String name)
    Ignore keys in properties files stored in `META-INF` within archives matching `name`. `name` is matched case-sensitively with the property key.
    Since:
      6.6